﻿@import "variables.less";

.emap-tools-measure {
	position:absolute;
	right:5px;
	font-size: 1.0em;
	top: auto !important;
    bottom: 75px !important;
}
.ol-zoom{
	right:5px;
	left:auto;
	font-size: 1.0em !important;
	bottom: 5px !important;
    top: auto !important;
}
@media (min-width: 768px) {
	.emap-tools-measure {
		font-size: 1.2em;
		top: auto !important;
		bottom: 130px !important;
	}
	.ol-zoom{
		font-size: 1.2em !important;
		bottom: 60px !important;
		top: auto !important;
	}
}


.mini-submenu-left {
	position: absolute;
	top: @top-menu-height + 10px;
	left: .5em;
	z-index: 40;
	cursor:pointer;
}
@media (max-width: @screen-sm) {
    .mini-submenu-left {
	    top: @top-menu-height-xs + 10px;
    }
}

.emap-legend-popup {
	position: absolute;
	bottom: 5px;
	left: 5px;
	width: 200px;
	z-index: 5;
	background-color: rgba(0, 60, 136, 0.2);
	border-radius: 5px;
	color: #fff;
}
@media (max-width: 768px) {
	.emap-legend-popup {
		overflow-y:scroll;
		max-height:160px;
		> div {
			overflow-y:hidden;
		}
	}
}
@media (min-width: 768px) {
	.emap-legend-popup {
		bottom: 10px;
		left: 10px;
		width: 260px;
		padding: 0 5px;
	}
}

/******************Map popup*******************/
.emap-popup {
	> div:nth-child(1) {
		white-space: nowrap;
	}
	> div:nth-child(3) {
		margin:15px 0 0 0;
		text-align: center;
		> button:nth-child(1) {
			margin-right:5px;
		}
	}
}

.loading-spiner-holder-en {
	position: absolute;
	top:50%;
	left:50%;
	z-index: 99999;
    background: rgba(0, 60, 136, 0.6);
    border-radius: 5px;
    padding: 5px;
}





	.emap-estates-search-block {
		float:left;
		> .btn-group { 
			position: relative;
			> .emap-tenants-main-search {
				float: left;
			} 
			> button {
				position: absolute;
				right: 0;
				top: 0;
			}
		}
	}

	.emap-tenants-search-block {
		margin: 0 0 0 5px;
		float:left;
		> .btn-group {
			position: relative;
			> .emap-tenants-search {
				float: left;
			}
			> button {
				position: absolute;
				right: 0;
				top: 0;
			}
		}
	}

	.emap-selected-estate-name {
		float:left;
	}

	.emap-classification-block {
		float:left;
		> .emap-classification-dropdown.emap-types {
			> .btn-group { 
				position: relative;
				> span {
					float: left;
				}
				> button {
					position: absolute;
					right: 0;
					top: 0;
				}
			}
		}
		> .emap-classification-dropdown.emap-countries {
			margin: 0 0 0 5px;
			float:left;
			> .btn-group {
				position: relative;
				> .emap-classification-country-search {
					float: left;
				}
				> button {
					position: absolute;
					right: 0;
					top: 0;
				}
			}
		}
		> .emap-classification-dropdown.emap-product-types {
			margin: 0 0 0 5px;
			float:left;
			> .btn-group {
				position: relative;
				> .emap-classification-product-type-search {
					float: left;
				}
				> button {
					position: absolute;
					right: 0;
					top: 0;
				}
			}
		}
	}


.emap-routes-block {
	float:left;
	.form-group { 
		left:0;
		right:90px;
	}	
	.form-inline {
		.emap-guide-me-btn {
			right:45px;
		}
		.emap-share-btn { 
			right:0;
		}
	}
}


	.emap-sidebar-toggle-right {
		padding: 5px 5px 0 0;
		background-color: transparent!important;
		float: right;
		cursor: pointer;
		font-size: 18px;
	}


	.emap-start-button-block {
		position:absolute;left: 85%;top: 50%;
	}

	.emap-location-tenant-select {
		left:0;
		right:45px;
	}

	.emap-location-tenant-button {
		right: 0;
	}